Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields
proofs::BitAdderAux< Logic, N, false > Class Template Reference
Collaboration diagram for proofs::BitAdderAux< Logic, N, false >:
[legend]

## Public Types
using | Field = typename Logic::Field
using | BitW = typename Logic::BitW
using | EltW = typename Logic::EltW
using | Elt = typename Field::Elt
using | BV = typename Logic::template bitvec<N>

## Public Member Functions
| BitAdderAux (const Logic &l)
EltW | as_field_element (const BV &v) const
EltW | add (const EltW *a, const EltW &b) const
EltW | add (const BV &a, const BV &b) const
EltW | add (const std::vector< BV > &a) const
void | assert_eqmod (const BV &a, const EltW &b, size_t k) const

## Data Fields
const Logic & | l_

The documentation for this class was generated from the following file:

- lib/circuits/logic/bit_adder.h